package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * AP retries timing list
 */
@ApiModel(description = "AP retries timing list")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class Retry   {
  @JsonProperty("time")
  private Long time;

  @JsonProperty("retryTimes")
  private Integer retryTimes;

  @JsonProperty("retryRate")
  private Double retryRate;

  public Retry time(Long time) {
    this.time = time;
    return this;
  }

  /**
   * Sampling time second
   * @return time
  */
  @ApiModelProperty(value = "Sampling time second")


  public Long getTime() {
    return time;
  }

  public void setTime(Long time) {
    this.time = time;
  }

  public Retry retryTimes(Integer retryTimes) {
    this.retryTimes = retryTimes;
    return this;
  }

  /**
   * Number of new contracts within one hour, such as 60 : 60%
   * @return retryTimes
  */
  @ApiModelProperty(value = "Number of new contracts within one hour, such as 60 : 60%")


  public Integer getRetryTimes() {
    return retryTimes;
  }

  public void setRetryTimes(Integer retryTimes) {
    this.retryTimes = retryTimes;
  }

  public Retry retryRate(Double retryRate) {
    this.retryRate = retryRate;
    return this;
  }

  /**
   * AP re-contracting rate within one hour
   * @return retryRate
  */
  @ApiModelProperty(value = "AP re-contracting rate within one hour")


  public Double getRetryRate() {
    return retryRate;
  }

  public void setRetryRate(Double retryRate) {
    this.retryRate = retryRate;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Retry retry = (Retry) o;
    return Objects.equals(this.time, retry.time) &&
        Objects.equals(this.retryTimes, retry.retryTimes) &&
        Objects.equals(this.retryRate, retry.retryRate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(time, retryTimes, retryRate);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Retry {\n");
    
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("    retryTimes: ").append(toIndentedString(retryTimes)).append("\n");
    sb.append("    retryRate: ").append(toIndentedString(retryRate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

